CREATE TABLE CRST_FND_CONC_PROG_FLEX (
  APPLICATION_ID                  NUMBER(10),
  APPLICATION_TABLE_NAME          VARCHAR2(30),
  DESCRIPTIVE_FLEXFIELD_NAME      VARCHAR2(40),
  TABLE_APPLICATION_ID            NUMBER(10),
  LAST_UPDATE_DATE                DATE,
  LAST_UPDATED_BY                 NUMBER(15),
  CREATION_DATE                   DATE,
  CREATED_BY                      NUMBER(15),
  LAST_UPDATE_LOGIN               NUMBER(10),
  CONTEXT_REQUIRED_FLAG           VARCHAR2(1),
  CONTEXT_COLUMN_NAME             VARCHAR2(30),
  CONTEXT_USER_OVERRIDE_FLAG      VARCHAR2(1),
  CONCATENATED_SEGMENT_DELIMITER  VARCHAR2(1),
  FREEZE_FLEX_DEFINITION_FLAG     VARCHAR2(1),
  PROTECTED_FLAG                  VARCHAR2(1),
  DEFAULT_CONTEXT_FIELD_NAME      VARCHAR2(200),
  DEFAULT_CONTEXT_VALUE           VARCHAR2(30),
  CONTEXT_DEFAULT_TYPE            VARCHAR2(1),
  CONTEXT_DEFAULT_VALUE           VARCHAR2(2000),
  CONTEXT_OVERRIDE_VALUE_SET_ID   NUMBER(10),
  CONTEXT_RUNTIME_PROPERTY_FUNCT  VARCHAR2(2000),
  DUMMY                           CHAR(1),
  LAST_UPDATED_BY_NAME            VARCHAR2(100),
  CREATED_BY_NAME                 VARCHAR2(100)
);
